Subject: bug#52293: 29.0.50; [PATCH v3] Prevent further cases of duplicated separators in context menus

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Dec 2021 09:02:04 +0200

> Cc: [email-masked]
> From: Jim Porter <[email-masked]>
> Date: Sat, 11 Dec 2021 20:02:41 -0800
> 
> > Yes.  This way, we have quite some time before us to let people bump
> > into any problems this could cause and report back to us.
> 
> That's ok by me. Note that this[1] is a very mildly incompatible change, 
> so as long as people are aware of that, I think it should be ok to merge 
> into 29, and hopefully into 28.2. The only incompatibility would be 
> people wanting to add context menu items after certain specific 
> separators like `global-separator' or `undo-separator'. I think that's 
> fairly unlikely though, since:
> 
> a) `context-menu-mode' is new so there aren't many (any?) third-party 
> packages that use it yet.
> 
> b) `context-menu-mode' doesn't guarantee that any particular items are 
> actually present in the menu. Users can customize the context menu, so 
> it could have anything at all in it. Relying on the presence of 
> `global-separator' (however it's named) would be somewhat risky. 
> `middle-separator' and `top-separator' (the latter is from the patch in 
> this bug) are/will be at least *likely* to be present though, so are 
> more likely to be used in third-party code.

Are you saying that we will be recommending a convention for separator
names only for menus popped up in context-menu-mode?  Does it make
sense to have such a specialized convention?  Isn't it possible to
show context menus outside of the context-menu-mode?